## arduino-cli board

Arduino board commands.

### Synopsis

Arduino board commands.

### Examples

```
  # Lists all connected boards.
  debian/build/bin/docsgen board list
```

### Options

```
  -h, --help   help for board
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli](arduino-cli.md)	 - Arduino CLI.
* [arduino-cli board attach](arduino-cli_board_attach.md)	 - Attaches a sketch to a board.
* [arduino-cli board details](arduino-cli_board_details.md)	 - Print details about a board.
* [arduino-cli board list](arduino-cli_board_list.md)	 - List connected boards.
* [arduino-cli board listall](arduino-cli_board_listall.md)	 - List all known boards and their corresponding FQBN.
* [arduino-cli board search](arduino-cli_board_search.md)	 - Search for a board in the Boards Manager.

